Bio::SeqFeature::Similarity(3)

NAME
Bio::SeqFeature::Similarity - A sequence feature based on similarity

SYNOPSIS
    # obtain a similarity feature somehow
    print "significance: ", $sim_fea->significance(), "\n";
    print "bit score: ", $sim_fea->bits(), "\n";
    print "score: ", $sim_fea->score(), "\n";
    print "fraction of identical residues: ", $sim_fea->frac_identical(), "\n";

DESCRIPTION
This module is basically a sequence features based on similarity, and therefore has support for measures assessing the similarity.

Everything else is inherited from Bio::SeqFeature::Generic.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably
 to one of the Bioperl mailing lists. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution. Bug reports can be submitted via the web:

  https://github.com/bioperl/bioperl-live/issues

AUTHOR - Hilmar Lapp
Email hlapp@gmx.net or hilmar.lapp@pharma.novartis.com

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  significance
 Title   : significance
 Usage   : $evalue = $obj->significance();
           $obj->significance($evalue);
 Function:
 Returns :
 Args    :

  bits
 Title   : bits
 Usage   : $bits = $obj->bits();
           $obj->bits($value);
 Function:
 Returns :
 Args    :

  frac_identical
 Title   : frac_identical
 Usage   : $fracid = $obj->frac_identical();
           $obj->frac_identical($value);
 Function:
 Returns :
 Args    :

  seqlength
 Title   : seqlength
 Usage   : $len = $obj->seqlength();
           $obj->seqlength($len);
 Function:
 Returns :
 Args    :

  seqdesc
 Title   : seqdesc
 Usage   : $desc = $obj->seqdesc();
           $obj->seqdesc($desc);
 Function: At present this method is a shorthand for
           $obj->annotation()->description().

           Note that this is not stored in the tag system and hence will
           not be included in the return value of gff_string().
 Returns :
 Args    :